### Method

# Gimp Image get_metadata

#### Declaration [src]

    GimpMetadata*
    gimp_image_get_metadata (
      GimpImage* image
    )

#### Description [src]

Returns the image’s metadata.

Returns exif/iptc/xmp metadata from the image.

Available since: | 2.10

#### Return value

Returns: | `GimpMetadata`
| The exif/ptc/xmp metadata, or `NULL` if there is none.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.